Index: svn/mainboard/emulation/qemu-x86/dts
===================================================================
--- svn.orig/mainboard/emulation/qemu-x86/dts
+++ svn/mainboard/emulation/qemu-x86/dts
@@ -21,21 +21,24 @@
 /{
 	mainboard_vendor = "Emulation";
 	mainboard_name = "QEMU x86";
-	mainboard_pci_subsystem_vendor = "0x15ad";
-	mainboard_pci_subsystem_device = "0x1976";
+	subsystem_vendor = "0x15ad";
+	subsystem_device = "0x1976";
 	device_operations = "qemuvga_pci_ops_dev";
 	cpus {};
 	domain@0 {
 		/config/("northbridge/intel/i440bxemulation/domain");
-		bus@0 {
-			pci@0,0 {
-			};
-			pci@1,1 {
-				/config/("southbridge/intel/i82371eb/ide");
-				subsystem_vendor = "0x15ad";
-				subsystem_device = "0x1976";
-				on_mainboard;
-			};
+		pci@0,0 {
 		};
+		pci@1,0 {
+			/config/("southbridge/intel/i82371eb/isa");
+		};
+		pci@1,1 {
+			/config/("southbridge/intel/i82371eb/ide");
+		};
+		pci@1,3 {
+			/config/("southbridge/intel/i82371eb/acpi");
+		};
+		/* PCI 2.0 and 3.0 are plugged in. */
+		/* 2.0 is the Cirrus VGA card.  3.0 is a nic. */
 	};
 };
Index: svn/southbridge/intel/i82371eb/acpi
===================================================================
--- /dev/null
+++ svn/southbridge/intel/i82371eb/acpi
@@ -0,0 +1,23 @@
+/*
+ * This file is part of the coreboot project.
+ *
+ * Copyright (C) 2007 Ronald G. Minnich <rminnich@gmail.com>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
+
+{
+	device_operations = "i82371eb_acpi";
+};
Index: svn/southbridge/intel/i82371eb/ide
===================================================================
--- svn.orig/southbridge/intel/i82371eb/ide
+++ svn/southbridge/intel/i82371eb/ide
@@ -19,7 +19,7 @@
  */
 
 {
-	ide0_enable = "0";
-	ide1_enable = "0";
+	ide0_enable = "1";
+	ide1_enable = "1";
 	device_operations = "i82371eb_ide";
 };
Index: svn/southbridge/intel/i82371eb/isa
===================================================================
--- /dev/null
+++ svn/southbridge/intel/i82371eb/isa
@@ -0,0 +1,23 @@
+/*
+ * This file is part of the coreboot project.
+ *
+ * Copyright (C) 2007 Ronald G. Minnich <rminnich@gmail.com>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
+
+{
+	device_operations = "i82371eb_isa";
+};
